Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.xml.async
Class XSLTransformerErrorEvent

    java.lang.Object
      |
      +--java.util.EventObject
            |
            +--oracle.xml.async.XSLTransformerErrorEvent

All Implemented Interfaces:
  java.io.Serializable

public class XSLTransformerErrorEvent
extends java.util.EventObject

The error event object that XSLTransformer uses to notify all registered listeners about transformation error events.

See Also:
  Serialized Form

Field Summary
`protected java.lang.Exception` | `e` The exception being raised.

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`XSLTransformerErrorEvent(java.lang.Object p0, java.lang.Exception e)` Constructor for XSLTransformerErrorEvent.

Method Summary
`java.lang.Exception` | `getException()` Returns the exception that XSLTransformer encountered object unique id.
`java.lang.String` | `getMessage()` Returns the error message that describes the error that XSLTransformer encountered

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### e

    protected java.lang.Exception e

  The exception being raised.

Constructor Detail

### XSLTransformerErrorEvent

    public XSLTransformerErrorEvent(java.lang.Object p0,
                                    java.lang.Exception e)

  Constructor for XSLTransformerErrorEvent.
Parameters:
  `p0` - The `Object` that created this event
  `e` - The `Exception` raised.

Method Detail

### getMessage

    public java.lang.String getMessage()

  Returns the error message that describes the error that XSLTransformer encountered
  Returns:
    The error message

### getException

    public java.lang.Exception getException()

  Returns the exception that XSLTransformer encountered object unique id. Can be used to
  Returns:
    The transformation exception

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003, 2004, Oracle. All rights reserved.